#- Copyright 2013-2014 VMware, Inc.  All rights reserved.
#- VMware Confidential


module VAPI::Protocol

    class RpcFactory

        RPC_PROVIDERS = {
            :http => VAPI::Protocol::HttpProvider
        }

        def self.create_rpc_provider(protocol, uri)
            rpc_provider = RPC_PROVIDERS[protocol]
            #TODO: raise ProtocolException when protocol not supported
            rpc_provider.new(uri)
        end
    end

end
